<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" 
          content="width=device-width, initial-scale=1.0">
    <title>Getting Client's IP</title>
    <style>
        p, h1 {
            color: green;
        }
    </style>
</head>

<body>
    <center>
        <h1>MartinsSto</h1>
        <h3>O endereço IP público do usuário é:</h3>
        <p id="ip-address"></p>
    </center>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Fetch the IP address from the API
            fetch("https://api.ipify.org?format=json")
                .then(response => response.json())
                .then(data => {
                    // Display the IP address on the screen
                    document.getElementById("ip-address").textContent = data.ip;
                })
                .catch(error => {
                    console.error("Error fetching IP address:", error);
                });
        });
    </script>
</body>

</html>
